Bug 1120787 - vdsm daemonAdapter -h shows traceback
Summary: vdsm daemonAdapter -h shows traceback
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: General
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: ovirt-3.6.0-rc
: 4.17.10
Assignee: Yeela Kaplan
QA Contact: Lukas Svaty
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 17:01 UTC by Markus Stockhausen
Modified: 2016-02-10 19:13 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-22 13:29:07 UTC
oVirt Team: Infra
rule-engine: ovirt-3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 42147 master MERGED daemonAdapter: remove traceback when using help option Never

Description Markus Stockhausen 2014-07-17 17:01:40 UTC
Description of problem:

calling /usr/share/vdsm/daemonAdapter -h does not only give help but produces traceback too.

Version-Release number of selected component (if applicable):

yum list installed | grep vdsm
vdsm.x86_64 4.14.9-0.fc20

How reproducible:

100%

Steps to Reproduce:
1. /usr/share/vdsm/daemonAdapter -h

Actual results:

Output gives:

usage: daemonAdapter [-h] [-0 dest] [-1 dest] [-2 dest] [--syslog]
                     targetFullPath ...

Start daemon process with various daemon options

positional arguments:
  targetFullPath        Full path of the target binary to start
  target_opt0 target_opt1 ...
                        Add options to be passed to target

optional arguments:
  -h, --help            show this help message and exit
  -0 dest, --stdin dest
                        Redirect stdin to new destination
  -1 dest, --stdout dest
                        Redirect stdout to new destination
  -2 dest, --stderr dest
                        Redirect stderr to new destination
  --syslog              Reporting errors to syslog when specified
Traceback (most recent call last):
  File "/usr/share/vdsm/daemonAdapter", line 68, in execute
    self._parse_args()
  File "/usr/share/vdsm/daemonAdapter", line 57, in _parse_args
    self._args = parser.parse_args(sys.argv[1:])
  File "/usr/lib64/python2.7/argparse.py", line 1688, in parse_args
    args, argv = self.parse_known_args(args, namespace)
  File "/usr/lib64/python2.7/argparse.py", line 1720, in parse_known_args
    namespace, args = self._parse_known_args(args, namespace)
  File "/usr/lib64/python2.7/argparse.py", line 1926, in _parse_known_args
    start_index = consume_optional(start_index)
  File "/usr/lib64/python2.7/argparse.py", line 1866, in consume_optional
    take_action(action, args, option_string)
  File "/usr/lib64/python2.7/argparse.py", line 1794, in take_action
    action(self, namespace, argument_values, option_string)
  File "/usr/lib64/python2.7/argparse.py", line 995, in __call__
    parser.exit()
  File "/usr/lib64/python2.7/argparse.py", line 2349, in exit
    _sys.exit(status)
SystemExit: 0
Error in daemonAdapater: None

Expected results:

call should only show help.

Comment 1 Markus Stockhausen 2015-06-09 19:30:22 UTC
Error still exists on vdsm 4.16.10

Comment 2 Max Kovgan 2015-06-28 14:12:43 UTC
ovirt-3.6.0-3 release

Comment 3 Red Hat Bugzilla Rules Engine 2015-10-18 08:34:20 UTC
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.

Comment 4 Red Hat Bugzilla Rules Engine 2015-11-02 12:26:57 UTC
Bug tickets that are moved to testing must have target release set to make sure tester knows what to test. Please set the correct target release before moving to ON_QA.

Comment 5 Sandro Bonazzola 2015-11-04 14:43:46 UTC
This issue should be fixed in oVirt 3.6.0 released on November 4th 2015 but still need to be checked by QE

Comment 6 Lukas Svaty 2015-12-10 12:06:08 UTC
verified in vdsm-4.17.13-1.el7ev.noarch

Comment 7 Sandro Bonazzola 2015-12-22 13:29:07 UTC
oVirt 3.6.0 has been released and the bz verified, moving to closed current release.


Note You need to log in before you can comment on or make changes to this bug.